<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" metadata-complete="true" version="2.5">
    <display-name>Geronimo Plan Creator Portlet</display-name>
    <filter>
        <filter-name>dwr-filter</filter-name>
        <filter-class>org.apache.geronimo.console.servlet.ForwardDispatchFilter</filter-class>
        <async-supported>false</async-supported>
    </filter>
    <filter-mapping>
        <filter-name>dwr-filter</filter-name>
        <servlet-name>dwr-invoker</servlet-name>
        <dispatcher>FORWARD</dispatcher>
    </filter-mapping>
    <servlet>
        <servlet-name>PlanCreator</servlet-name>
        <servlet-class>org.apache.pluto.container.driver.PortletServlet</servlet-class>
        <init-param>
            <param-name>portlet-name</param-name>
            <param-value>PlanCreator</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>dwr-invoker</servlet-name>
        <servlet-class>org.directwebremoting.servlet.DwrServlet</servlet-class>
        <init-param>
            <param-name>classes</param-name>
            <param-value>org.apache.geronimo.console.configcreator.configData.EARHelper, org.apache.geronimo.console.configcreator.configData.EARHelper$EnvironmentJson, org.apache.geronimo.console.configcreator.configData.EARHelper$DependencyItem, org.apache.geronimo.console.configcreator.configData.EARHelper$DependenciesJsonTree, org.apache.geronimo.console.configcreator.configData.EARHelper$SecurityJson, org.apache.geronimo.console.configcreator.configData.EARHelper$SecurityRoleJson, org.apache.geronimo.console.configcreator.configData.EARHelper$SecurityPrincipalJson, org.apache.geronimo.console.configcreator.configData.EARHelper$Subject, org.apache.geronimo.console.configcreator.configData.EARHelper$CredentialStoreRef, org.apache.geronimo.console.configcreator.configData.EARHelper$ModuleSecurityConfig, org.apache.geronimo.console.configcreator.configData.EARHelper$ModuleSecurityJsonTree</param-value>
        </init-param>
        <init-param>
            <param-name>activeReverseAjaxEnabled</param-name>
            <param-value>true</param-value>
        </init-param>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.ejbPage_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.ejbPage_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.environment_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.environment_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.displayPlan_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.displayPlan_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.getArchive_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.getArchive_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.security_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.security_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.enterpriseApp_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.enterpriseApp_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.deployStatus_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.deployStatus_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.dependencies_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.dependencies_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.references_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.configcreator.references_jsp</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>PlanCreator</servlet-name>
        <url-pattern>/PlutoInvoker/PlanCreator</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>dwr-invoker</servlet-name>
        <url-pattern>/dwr5/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.ejbPage_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/ejbPage.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.environment_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/environment.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.displayPlan_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/displayPlan.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.getArchive_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/getArchive.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.security_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/security.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.enterpriseApp_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/enterpriseApp.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.deployStatus_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/deployStatus.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.dependencies_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/dependencies.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.configcreator.references_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/configcreator/references.jsp</url-pattern>
    </servlet-mapping>
    <security-constraint>
        <web-resource-collection>
            <web-resource-name>plan-creator</web-resource-name>
            <url-pattern>/</url-pattern>
            <http-method>GET</http-method>
            <http-method>POST</http-method>
            <http-method>PUT</http-method>
        </web-resource-collection>
        <auth-constraint>
            <role-name>admin</role-name>
        </auth-constraint>
    </security-constraint>
    <login-config>
        <auth-method>BASIC</auth-method>
        <realm-name>geronimo-admin</realm-name>
    </login-config>
    <security-role>
        <role-name>admin</role-name>
    </security-role>
</web-app>
